const mysql = require('mysql2');
const dotenv = require('dotenv');

// Load environment variables from .env file
dotenv.config(); 

// Create a connection to the database
const connection = mysql.createConnection({
    host: process.env.DB_HOST,       // 94.76.240.52
    user: process.env.DB_USER,       // allsafe_root
    password: process.env.DB_PASSWORD, // Pixel2024
    database: 'allsafe_db'    // Replace with your actual database name
});

// Connect to the database
connection.connect((err) => {
    if (err) {
        console.error('Database connection failed:', err.stack);
        return;
    }
    console.log('Connected to the database.');
});

module.exports = connection; // Export the connection for use in other files
