require('dotenv').config(); // Load environment variables

const express = require('express');
const db = require('./db'); // Import the database connection

const app = express();
const port = process.env.PORT || 5000; // Change to 5001 or another unused port

app.use(express.json()); // Middleware to parse JSON requests

// Debugging log
console.log('Starting server...');

// Example route
app.get('/', (req, res) => {
    res.send('Server is running on port 5000!');
});

// Import user routes
const userRoutes = require('./routes/users'); // Import user routes

// Use user routes
app.use('/api/users', userRoutes); // Use user routes

// Start the server
app.listen(port, () => {
    console.log(`Server is running on http://localhost:${port}`);
});
